Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Solved] Another single package slot problem ....
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
BakaO
n00b
n00b


Joined: 27 Sep 2003
Posts: 74

PostPosted: Wed Jun 18, 2008 11:42 am    Post subject: [Solved] Another single package slot problem .... Reply with quote

Hello, I am really sorry, but I don't know what to do for solving this problem :

Code:
Chii ~ # emerge -uvD world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] app-arch/cpio-2.9-r2 [2.9-r1] USE="nls" 741 kB
[ebuild     U ] media-libs/libuninameslist-20080409 [20060907] 524 kB
[ebuild     U ] sys-fs/device-mapper-1.02.26 [1.02.25] USE="(-selinux)" 190 kB
[ebuild     U ] sys-fs/ntfs3g-1.2531 [1.2506] USE="-debug -suid" 636 kB
[ebuild     U ] sys-apps/hdparm-8.9 [8.6] 75 kB
[ebuild     U ] net-dns/bind-tools-9.5.0 [9.4.2] USE="-idn -ipv6" 6,592 kB
[ebuild     U ] sys-kernel/linux-headers-2.6.25-r4 [2.6.25-r3] 3,792 kB
[ebuild     U ] media-libs/libvorbis-1.2.1_rc1 [1.2.0-r1] USE="-doc" 1,148 kB
[ebuild     U ] app-arch/rpm2targz-9.0.0.0g [9.0-r7] 4 kB
[ebuild     U ] net-misc/iputils-20071127-r2 [20071127-r1] USE="-SECURITY_HAZARD% -doc -idn -ipv6 -static" 0 kB
[ebuild     U ] media-libs/freetype-2.3.6 [2.3.5-r2] USE="X -bindist -debug -doc -utils" 1,276 kB
[ebuild  N    ] sys-apps/man-pages-posix-2003a  949 kB
[ebuild     U ] sys-apps/man-pages-3.00 [2.79] USE="nls" LINGUAS="fr ja -cs -da -de -es -it -nl -pl -ro -ru -zh_CN" 877 kB
[ebuild     U ] mail-mta/ssmtp-2.62 [2.61-r2] USE="ssl -ipv6 -md5sum (-mailwrapper%)" 56 kB
[ebuild     U ] app-admin/eselect-rails-0.12 [0.11] 2 kB
[ebuild     U ] sys-fs/udev-124 [122] USE="(-selinux)" 204 kB
[ebuild  NS   ] sys-kernel/gentoo-sources-2.6.25-r5 [2.6.23-r3, 2.6.23-r5, 2.6.24-r2, 2.6.24-r4, 2.6.25-r4] USE="-build -symlink" 47,573 kB
[ebuild     U ] gnome-base/orbit-2.14.13 [2.14.12] USE="-debug -doc" 723 kB
[ebuild     U ] www-client/mozilla-firefox-bin-3.0 [2.0.0.14] USE="-restrict-javascript" LINGUAS="fr ja -af -ar -be -ca -cs -da -de -el -en -en_GB -en_US -es -es_AR -es_ES -eu -fi -fy -fy_NL -ga -ga_IE -gu -gu_IN -he -hu -id% -it -ka -ko -ku -lt -mk -mn -nb -nb_NO -nl -nn -nn_NO -pa -pa_IN -pl -pt -pt_BR -pt_PT -ro -ru -si% -sk -sl -sq% -sr% -sv -sv_SE -tr -uk -zh -zh_CN -zh_TW (-bg%)" 8,871 kB
[ebuild     U ] x11-apps/mkfontscale-1.0.5 [1.0.4] USE="-debug" 99 kB
[ebuild     U ] x11-apps/rgb-1.0.3 [1.0.1] USE="-debug" 102 kB
[ebuild     U ] dev-libs/apr-1.3.0 [1.2.12] USE="-debug -doc -ipv6 -urandom" 1,119 kB
[ebuild     U ] dev-libs/libusb-0.1.12-r3 [0.1.12-r2] USE="-debug -doc -nocxx%" 381 kB
[ebuild     U ] x11-apps/xdpyinfo-1.0.3 [1.0.2] USE="-debug -dga -dmx -xinerama" 101 kB
[ebuild     U ] media-libs/a52dec-0.7.4-r6 [0.7.4-r5] USE="-djbfft -oss" 236 kB
[ebuild     U ] media-libs/audiofile-0.2.6-r4 [0.2.6-r3] 371 kB
[ebuild     U ] x11-apps/fonttosfnt-1.0.4 [1.0.3] USE="-debug" 104 kB
[ebuild     U ] sys-boot/grub-0.97-r6 [0.97-r5] USE="ncurses -custom-cflags -netboot -static" 0 kB
[ebuild     U ] dev-cpp/cairomm-1.6.0 [1.5.0] USE="-doc -examples" 779 kB
[ebuild     U ] sys-libs/com_err-1.40.10 [1.40.9] USE="nls" 3,997 kB
[ebuild     U ] dev-libs/libcdio-0.80 [0.79-r1] USE="cddb cxx%* nls -minimal (-nocxx%)" 2,035 kB
[ebuild     U ] sys-libs/ss-1.40.10 [1.40.9] USE="nls" 0 kB
[ebuild     U ] sys-fs/e2fsprogs-1.40.10 [1.40.9] USE="nls -static" 0 kB
[ebuild     U ] sys-kernel/genkernel-3.4.10-r1 [3.4.10_pre10] USE="bash-completion (-ibm) (-selinux)" 206 kB
[ebuild  NS   ] sys-devel/gcc-4.3.1 [3.3.6-r1, 4.1.1-r3, 4.2.4] USE="fortran gtk mudflap nls openmp (-altivec) -bootstrap -build -doc -gcj (-hardened) -ip28 -ip32r10k -libffi (-multilib) -multislot (-n32) (-n64) -nocxx -objc -objc++ -objc-gc -test -vanilla" 57,610 kB
[ebuild     U ] dev-lang/nasm-2.03.01 [2.00] USE="-build -doc" 750 kB
[ebuild     U ] media-libs/flac-1.2.1-r3 [1.2.1-r2] USE="cxx ogg sse -3dnow (-altivec) -debug -doc" 1,963 kB
[ebuild     U ] x11-misc/xkeyboard-config-1.3 [1.2] 579 kB
[ebuild     U ] x11-themes/gtk-engines-nimbus-0.0.16 [0.0.12] 9,174 kB
[ebuild     U ] dev-util/boost-build-1.35.0-r1 [1.34.1] USE="python -examples%" 22,868 kB
[ebuild     U ] media-gfx/fontforge-20080607 [20080429] USE="X gif jpeg nls png python svg tiff truetype unicode" 4,732 kB
[ebuild     U ] app-portage/layman-1.2.0-r1 [1.1.1-r1] USE="-git% -subversion% -test" 45 kB
[ebuild     U ] net-irc/xchat-2.8.6 [2.8.4-r3] USE="dbus libnotify mmx nls perl python ssl -debug -ipv6 -spell -tcl -xchatdccserver -xchatnogtk" 1,391 kB
[ebuild     U ] media-libs/mutagen-1.14 [1.13] USE="-test" 575 kB
[ebuild     U ] dev-libs/boost-1.35.0-r1 [1.34.1-r2] USE="-debug -doc -expat% -icu -mpi% -tools (-pyste%)" 5 kB
[ebuild     U ] app-text/gnome-doc-utils-0.12.2-r1 [0.12.2] USE="-debug" 582 kB
[ebuild     U ] gnome-extra/gnome-user-docs-2.22.1 [2.22.0] USE="-debug" 10,756 kB
[ebuild     U ] gnome-extra/gcalctool-5.22.2 [5.22.1] USE="-debug" 1,459 kB
[ebuild     U ] x11-libs/vte-0.16.14 [0.16.13] USE="opengl python -debug -doc" 1,095 kB
[ebuild     U ] app-office/openoffice-bin-2.4.1 [2.4.0] USE="gnome java -kde" LINGUAS="fr ja -af -as_IN -be_BY -bg -br -bs -ca -cs -da -de -dz -el -en -en_GB -en_ZA -es -et -fi -ga -gl -gu -he -hi_IN -hr -hu -it -ka -km -ko -lt -mk -ml_IN -mr_IN -nb -ne -nl -nn -nr -ns -or_IN -pa_IN -pl -pt -rw -sh -sk -sl -sr -ss -st -sv -sw_TZ -ta -te_IN -tg -th -ti_ER -tr -ts -uk -ur_IN -ve -vi -xh -zh_CN -zh_TW -zu" 182,392 kB
[ebuild     U ] net-misc/curl-7.18.2 [7.18.1] USE="ldap ssl -ares -gnutls -idn -ipv6 -kerberos -libssh2 -nss -test" 1,704 kB
[ebuild     U ] dev-libs/apr-util-1.3.0 [1.2.12] USE="berkdb gdbm ldap mysql sqlite -doc -postgres -sqlite3" 730 kB
[ebuild     U ] dev-libs/xmlrpc-c-1.06.27 [1.06.09-r2] USE="curl threads (-libwww%)" 684 kB
[ebuild     U ] dev-util/subversion-1.5.0_rc9-r1 [1.5.0_rc5] USE="bash-completion berkdb dso%* emacs java nls perl python vim-syntax webdav-neon -apache2 -debug -doc -extras -ruby -sasl -webdav-serf" 4,740 kB
[ebuild     U ] dev-util/git-1.5.5.4 [1.5.5.1-r1] USE="bash-completion curl emacs gtk iconv perl threads vim-syntax%* -cgi -cvs -doc -mozsha1 (-ppcsha1) -subversion -tk -webdav -xinetd" 1,799 kB
[ebuild     U ] app-cdr/cdrkit-1.1.8 [1.1.7.1] USE="unicode -hfs" 1,397 kB
[ebuild     U ] x11-themes/gtk-engines-qtcurve-0.59.4 [0.59.3] USE="-mozilla" 92 kB
[ebuild     U ] app-cdr/cdrdao-1.2.2-r2 [1.2.2-r1] USE="-debug -encode -gcdmaster -pccts" 1,376 kB
[ebuild  NS   ] dev-ruby/activesupport-2.1.0 [2.0.2] USE="-doc" 351 kB
[ebuild  NS   ] dev-ruby/actionpack-2.1.0 [2.0.2] USE="-doc" 724 kB
[ebuild  NS   ] dev-ruby/activeresource-2.1.0 [2.0.2] USE="-doc" 39 kB
[ebuild  NS   ] dev-ruby/actionmailer-2.1.0 [2.0.2] USE="-doc" 105 kB
[ebuild  NS   ] dev-ruby/activerecord-2.1.0 [2.0.2] USE="mysql sqlite -doc -postgres -sqlite3" 442 kB
[ebuild  NS   ] dev-ruby/rails-2.1.0 [2.0.2] USE="fastcgi -doc" 200 kB
[ebuild     U ] gnome-base/gnome-keyring-2.22.2 [2.22.1] USE="hal pam -debug -doc -test" 884 kB
[ebuild     U ] sys-apps/busybox-1.10.3 [1.10.1-r3] USE="pam -debug -make-symlinks -savedconfig (-selinux) -static" 1,818 kB
[ebuild     U ] x11-apps/xdm-1.1.8 [1.1.7] USE="pam -debug -ipv6 -xprint" 393 kB
[ebuild     U ] x11-base/xorg-server-1.4.2 [1.4.0.90-r3] USE="dri hal xorg -3dfx -debug -dmx -ipv6 -kdrive -minimal (-nptl) -sdl -xprint" INPUT_DEVICES="evdev keyboard mouse -acecad -aiptek -calcomp -citron -digitaledge -dmc -dynapro -elo2300 -elographics -fpit -hyperpen -jamstudio -joystick -magellan -microtouch -mutouch -palmax -penmount -spaceorb -summa -synaptics -tek4957 -ur98 -vmmouse -void -wacom" VIDEO_CARDS="apm ark chips cirrus cyrix dummy fbdev glint i128 i740 i810 imstt mach64 mga neomagic nsc nv r128 radeon rendition s3 s3virge savage siliconmotion sis sisusb tdfx tga trident tseng v4l vesa vga via vmware voodoo -epson -fglrx -geode (-impact) (-newport) -nvidia (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -vermilion -xgi" 6,071 kB
[ebuild     U ] x11-drivers/xf86-video-ark-0.7.0 [0.6.0] USE="-debug" 237 kB
[ebuild     U ] x11-drivers/xf86-video-tseng-1.2.0 [1.1.1] USE="-debug" 271 kB
[ebuild     U ] x11-drivers/xf86-video-v4l-0.2.0 [0.1.1] USE="-debug" 239 kB
[ebuild     U ] x11-drivers/xf86-video-s3virge-1.10.1 [1.9.1] USE="-debug" 282 kB
[ebuild     U ] x11-drivers/xf86-video-vmware-10.16.0 [10.15.2] USE="-debug" 271 kB
[ebuild     U ] x11-drivers/xf86-video-neomagic-1.2.1 [1.1.1] USE="-debug" 267 kB
[ebuild     U ] x11-drivers/xf86-video-i740-1.2.0 [1.1.0] USE="-debug" 263 kB
[ebuild     U ] x11-drivers/xf86-video-i128-1.3.0 [1.2.1] USE="-debug" 268 kB
[ebuild     U ] x11-drivers/xf86-video-siliconmotion-1.6.0 [1.5.1] USE="-debug" 273 kB
[ebuild     U ] x11-drivers/xf86-video-dummy-0.3.0 [0.2.0] USE="-debug" 234 kB
[ebuild     U ] x11-drivers/xf86-video-voodoo-1.2.0 [1.1.1] USE="-debug" 251 kB
[ebuild     U ] x11-drivers/xf86-input-evdev-1.99.2-r2 [1.2.0] USE="-debug" 237 kB
[ebuild     U ] x11-drivers/xf86-video-i810-2.3.1-r2 [2.3.1-r1] USE="dri -debug" 0 kB
[ebuild     U ] x11-drivers/xf86-video-trident-1.3.0 [1.2.3] USE="-debug" 268 kB
[ebuild     U ] x11-drivers/xf86-video-cirrus-1.2.1 [1.1.0] USE="-debug" 269 kB
[ebuild     U ] x11-drivers/xf86-input-keyboard-1.3.1 [1.3.0] USE="-debug" 259 kB
[ebuild     U ] x11-drivers/xf86-video-sisusb-0.9.0 [0.8.1] USE="-debug" 293 kB
[ebuild     U ] x11-drivers/xf86-video-savage-2.2.1 [2.1.3] USE="dri -debug" 299 kB
[ebuild     U ] x11-drivers/xf86-video-chips-1.2.0 [1.1.1] USE="-debug" 330 kB
[ebuild     U ] x11-drivers/xf86-video-rendition-4.2.0 [4.1.3] USE="-debug" 293 kB
[ebuild     U ] x11-drivers/xf86-video-s3-0.6.0 [0.5.0] USE="-debug" 258 kB
[ebuild     U ] x11-drivers/xf86-video-sis-0.10.0 [0.9.4] USE="dri -debug" 616 kB
[ebuild     U ] x11-drivers/xf86-video-fbdev-0.4.0 [0.3.1] USE="-debug" 237 kB
[ebuild     U ] x11-themes/gtk-engines-2.14.2 [2.14.1] USE="X -accessibility -debug -static" 659 kB
[ebuild     U ] x11-themes/gnome-themes-2.22.2 [2.22.0] USE="-accessibility -debug" 1,464 kB
[ebuild     U ] gnome-base/gnome-desktop-2.22.2 [2.22.1] USE="-debug -doc" 1,410 kB
[ebuild     U ] dev-libs/libgweather-2.22.2 [2.22.1.1] USE="-debug" 6,119 kB
[ebuild     UD] www-client/mozilla-firefox-2.0.0.14 [3.0] USE="gnome java -bindist -debug% -filepicker% -iceweasel% -ipv6 -mozdevelop -moznopango% -restrict-javascript -xforms% -xinerama% -xprint% (-dbus%*) (-startup-notification%*) (-xulrunner%*)" LINGUAS="fr ja -af -ar -be -bg% -ca -cs -da -de -el -en -en_GB -en_US -es -es_AR -es_ES -eu -fi -fy -fy_NL -ga -ga_IE -gu -gu_IN -he -hu -it -ka -ko -ku -lt -mk -mn -nb -nb_NO -nl -nn -nn_NO -pa -pa_IN -pl -pt -pt_BR -pt_PT -ro -ru -sk -sl -sv -sv_SE -tr -uk -zh -zh_CN -zh_TW (-id%) (-si%) (-sq%) (-sr%)" 36,663 kB
[ebuild     U ] app-editors/gedit-2.22.3 [2.22.1] USE="python xattr -debug -doc -spell" 3,794 kB
[ebuild     U ] gnome-base/eel-2.22.2 [2.22.1] USE="X -debug" 584 kB
[ebuild     U ] x11-terms/gnome-terminal-2.22.2 [2.22.1] USE="-debug" 1,763 kB
[ebuild     U ] gnome-base/gnome-settings-daemon-2.22.2.1 [2.22.1] USE="alsa gstreamer -debug -esd" 1,113 kB
[ebuild  N    ] gnome-extra/gnome-screensaver-2.22.2  USE="libnotify opengl pam -debug -doc -xinerama" 1,995 kB
[ebuild  N    ] dev-python/gnome-python-extras-2.19.1-r1  USE="X firefox -debug -doc -seamonkey -xulrunner" 354 kB
[ebuild     U ] media-gfx/eog-2.22.2 [2.22.1] USE="dbus jpeg lcms python -debug" 1,855 kB
[ebuild     U ] mail-client/evolution-2.22.2-r2 [2.22.2] USE="crypt dbus hal ldap ssl -debug -ipv6 -kerberos -krb4 -mono -networkmanager -nntp -pda -profile -spell" 0 kB
[ebuild     U ] gnome-base/gnome-panel-2.22.2 [2.22.1.3] USE="-debug -doc -eds -networkmanager" 3,179 kB
[ebuild     U ] gnome-extra/gnome-system-monitor-2.22.2 [2.22.1] USE="-debug" 1,946 kB
[ebuild     U ] gnome-base/gnome-applets-2.22.2 [2.22.1] USE="acpi apm gnome gstreamer hal -debug -doc -ipv6 -test" 7,338 kB
[ebuild     U ] www-client/epiphany-2.22.2 [2.22.1.1] USE="avahi python -debug -doc -networkmanager -spell -xulrunner" 5,063 kB
[ebuild     U ] net-print/cups-1.3.7-r2 [1.3.7-r1] USE="X acl avahi dbus java jpeg ldap nls pam perl png ppds python samba ssl tiff -kerberos -php -slp -static -zeroconf" LINGUAS="fr ja -de -en -es -et -he -it -pl -sv -zh_TW" 3,805 kB
[ebuild     U ] net-print/libgnomecups-0.2.3 [0.2.2] USE="-debug" 349 kB
[ebuild     U ] net-misc/nxnode-3.2.0-r2 [3.2.0-r1] USE="vnc -rdesktop" 6,147 kB
[ebuild     U ] app-emulation/wine-1.0 [1.0_rc2] USE="X alsa cups dbus gecko hal jpeg lcms ldap ncurses opengl samba -esd -jack -nas -oss -scanner -xml" 13,654 kB
[ebuild     U ] net-misc/nxserver-freeedition-3.2.0-r2 [3.2.0-r1] 6,632 kB
[ebuild     U ] gnome-base/nautilus-2.22.3 [2.22.2] USE="X gnome -beagle -debug -tracker" 4,908 kB
[ebuild     U ] media-video/gnome-mplayer-0.6.2 [0.6.1] 484 kB
[ebuild     U ] x11-libs/wxGTK-2.8.7.1-r2 [2.8.7.1-r1] USE="X gnome gstreamer opengl -debug -doc -odbc -pch -sdl" 25,745 kB
[ebuild     U ] gnome-base/gnome-control-center-2.22.2.1 [2.22.1] USE="alsa hal -debug -eds -esd" 2,061 kB
[ebuild     U ] app-arch/file-roller-2.22.3 [2.22.2] USE="nautilus -debug" 1,251 kB
[ebuild     U ] app-crypt/seahorse-2.22.2 [2.22.1] USE="avahi dbus ldap libnotify nautilus -applet -debug -epiphany -gedit -gnome-keyring" 2,072 kB
[ebuild     U ] net-print/gnome-cups-manager-0.33 [0.31-r2] USE="-debug" 602 kB
[ebuild  N    ] gnome-extra/deskbar-applet-2.22.2.1  USE="-debug -eds -spell" 801 kB
[ebuild     U ] gnome-extra/gnome-games-2.22.2.1 [2.22.1.1] USE="X opengl -artworkextra -debug -guile" 16,035 kB

Total: 122 packages (109 upgrades, 1 downgrade, 4 new, 8 in new slots), Size of downloads: 569,291 kB

!!! Multiple versions within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

www-client/mozilla-firefox:0

  ('ebuild', '/', 'www-client/mozilla-firefox-2.0.0.14', 'merge') pulled in by
    @world
    ('ebuild', '/', 'dev-python/gnome-python-extras-2.19.1-r1', 'merge')

  ('installed', '/', 'www-client/mozilla-firefox-3.0', 'nomerge') pulled in by
    @world


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in the
dependencies of two different packages, then those packages can not be
installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man page
or refer to the Gentoo Handbook.


!!! The following installed packages are masked:
- media-fonts/sharefonts-0.10-r3 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Ryan Hill <dirtyepic@gentoo.org> (29 Apr 2008)
# Masked for removal in 30 days due to licensing issues.
# See bug #218288 for more information

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


Thanks.


Last edited by BakaO on Thu Jun 19, 2008 7:43 am; edited 1 time in total
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Wed Jun 18, 2008 11:43 am    Post subject: Reply with quote

Can you resync your box and retry :

Code:

# emerge --sync && emerge -puDNv world
Back to top
View user's profile Send private message
BakaO
n00b
n00b


Joined: 27 Sep 2003
Posts: 74

PostPosted: Wed Jun 18, 2008 11:51 am    Post subject: Reply with quote

I can't use emerge --sync, because of a really annoying http proxy, so I use emerge-delta-webrsync

Code:
Chii ~ # emerge-delta-webrsync
Looking for available base versions for a delta
fetching patches
--2008-06-18 13:47:45--  http://distro.ibiblio.org/pub/linux/distributions/gentoo///snapshots/deltas/snapshot-20080617-20080618.patch.bz2.md5sum
Connexion vers 201.3.3.35:8080...connecté.
requête Proxy transmise, en attente de la réponse...404 Not Found
2008-06-18 13:47:46 ERREUR 404: Not Found.

--2008-06-18 13:47:46--  http://mirror.ovh.net/gentoo-distfiles///snapshots/deltas/snapshot-20080617-20080618.patch.bz2.md5sum
Connexion vers 201.3.3.35:8080...connecté.
requête Proxy transmise, en attente de la réponse...404 Not Found
2008-06-18 13:47:47 ERREUR 404: Not Found.

--2008-06-18 13:47:47--  http://gentoo.mneisen.org///snapshots/deltas/snapshot-20080617-20080618.patch.bz2.md5sum
Connexion vers 201.3.3.35:8080...connecté.
requête Proxy transmise, en attente de la réponse...404 Not Found
2008-06-18 13:47:50 ERREUR 404: Not Found.

--2008-06-18 13:47:50--  http://files.gentoo.org//snapshots/deltas/snapshot-20080617-20080618.patch.bz2.md5sum
Connexion vers 201.3.3.35:8080...connecté.
requête Proxy transmise, en attente de la réponse...503 Service Unavailable
2008-06-18 13:47:51 ERREUR 503: Service Unavailable.

failed fetching snapshot-20080617-20080618.patch.bz2.md5sum
no patches found? up to date?
syncing with existing file
Syncing local tree...
apparently you have tarsync installed.  using it.
scanning tarball...
cleansed 1 dups out of 125896
scanning existing target directory...
0 to update
0 files written, 125895 entires verified, 0 bytes written


so no change for the emerge world
Back to top
View user's profile Send private message
reksav
Apprentice
Apprentice


Joined: 09 Mar 2005
Posts: 165
Location: rochester, ny

PostPosted: Wed Jun 18, 2008 3:15 pm    Post subject: Reply with quote

im having the exact same problem, and after a resync, same result.
Back to top
View user's profile Send private message
thagame
Apprentice
Apprentice


Joined: 07 Mar 2004
Posts: 210
Location: Windsor, Ontario, Canada

PostPosted: Wed Jun 18, 2008 7:16 pm    Post subject: Reply with quote

its because firefox 2 and 3 use a different version of xulrunner. i removed firefox use flag and put xulrunner and it still wants to install both versions of xulrunner but doesnt want to downgrade to firefox2
Back to top
View user's profile Send private message
reksav
Apprentice
Apprentice


Joined: 09 Mar 2005
Posts: 165
Location: rochester, ny

PostPosted: Wed Jun 18, 2008 7:45 pm    Post subject: Reply with quote

giving that a shot now, will report after all the packages go in...
Back to top
View user's profile Send private message
red-wolf76
l33t
l33t


Joined: 13 Apr 2005
Posts: 714
Location: Rhein-Main Area

PostPosted: Wed Jun 18, 2008 7:46 pm    Post subject: Reply with quote

How do you get around installing both versions of xulrunner? Why isn't there an error, since they're not marked as slotted, there should be an error message, shouldn't there?
_________________
0mFg, G3nt00 r0X0r$ T3h B1g!1111 ;)

Use sane CFLAGS! If for no other reason, do it for the lulz!
Back to top
View user's profile Send private message
armin76
Retired Dev
Retired Dev


Joined: 24 Apr 2006
Posts: 174

PostPosted: Wed Jun 18, 2008 8:27 pm    Post subject: Reply with quote

Add "xulrunner -firefox" to your use-flags.
Back to top
View user's profile Send private message
reksav
Apprentice
Apprentice


Joined: 09 Mar 2005
Posts: 165
Location: rochester, ny

PostPosted: Wed Jun 18, 2008 9:17 pm    Post subject: Reply with quote

that seemed to work :D thanks so much. now i just need to get vlc to recompile with the xulrunner flag, and openldap to go back in
Back to top
View user's profile Send private message
BakaO
n00b
n00b


Joined: 27 Sep 2003
Posts: 74

PostPosted: Thu Jun 19, 2008 7:43 am    Post subject: Reply with quote

Thanks. :o
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum